import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { HttpClientModule } from '@angular/common/http';
import { ReactiveFormsModule, FormsModule } from '@angular/forms';
import { RouterModule } from '@angular/router';

import { SharedComponentModule } from '../shared/shared-component.module';
import { AuthGuard } from 'src/app/core/auth-guard.service';

import { WareHouseComponent } from 'src/app/pages/warehouse/warehouse.component';
// import { SNM001PComponent } from 'src/app/pages/warehouse/SNM001P/SNM001P.component';
// import { SNM001P_WComponent } from 'src/app/pages/warehouse/SNM001P_W/SNM001P_W.component';
// import { SNPP999EComponent } from 'src/app/pages/warehouse/SNPP999E/SNPP999E.component';
import { SNPP999ZComponent } from 'src/app/pages/warehouse/SNPP999Z/SNPP999Z.component';
import { SNPR029Component } from 'src/app/pages/warehouse/SNPR029/SNPR029.component';
import { SNPR037Component } from 'src/app/pages/warehouse/SNPR037/SNPR037.compoent';
import { SNSE054D_ZComponent } from 'src/app/pages/warehouse/SNSE054D_Z/SNSE054D_Z.component';
import { SNSE054D_ZBComponent } from 'src/app/pages/warehouse/SNSE054D_ZB/SNSE054D_ZB.component';
import { SNSE052Component } from 'src/app/pages/warehouse/SNSE052/SNSE052.component';
import { SNSE157Component } from 'src/app/pages/warehouse/SNSE157/SNSE157.component';
import { SNSE181Component } from 'src/app/pages/warehouse/SNSE181/SNSE181.component';
import { SNSE182Component } from '../../pages/warehouse/SNSE182/SNSE182.component';
// import { SNM111PComponent } from '../../pages/warehouse/SNM111P/SNM111P.component';
// import { SNSE196Component } from '../../pages/warehouse/SNSE196/SNSE196.component';
import { SNPP105Component } from '../../pages/warehouse/SNPP105/SNPP105.component';
import { SNM102PComponent } from '../../pages/warehouse/SNM102P/SNM102P.component';
import { SNM108PComponent } from '../../pages/warehouse/SNM108P/SNM108P.component';
import { SNM109PComponent } from '../../pages/warehouse/SNM109P/SNM109P.component';
import { SNM110PComponent } from '../../pages/warehouse/SNM110P/SNM110P.component';
import { SNPE015Component } from '../../pages/warehouse/SNPE015/SNPE015.component';
import { SNSE064_M2Component } from '../../pages/warehouse/SNSE064_M2/SNSE064_M2.component';
import { SNSQ090Component } from '../../pages/warehouse/SNSQ090/SNSQ090.component';
// import { SNSQ090_HDComponent } from '../../pages/warehouse/SNSQ090_HD/SNSQ090_HD.component';
import { SNSR040Component } from '../../pages/warehouse/SNSR040/SNSR040.component';
import { SNSR041Component } from '../../pages/warehouse/SNSR041/SNSR041.component';
import { WEEKLYREPComponent } from '../../pages/warehouse/WEEKLYREP/WEEKLYREP.component';
import { SNSE202Component } from '../../pages/warehouse/SNSE202/SNSE202.component';
// import { SNSJ006_MComponent } from '../../pages/warehouse/SNSJ006_M/SNSJ006_M.component';
// import { SNSJ007_MComponent } from '../../pages/warehouse/SNSJ007_M/SNSJ007_M.component';
import { SNM002PComponent } from '../../pages/warehouse/SNM002P/SNM002P.component';
import { SNSE195Component } from '../../pages/warehouse/SNSE195/SNSE195.component';
import { SNSE194Component } from '../../pages/warehouse/SNSE194/SNSE194.component';
import { SNSE193Component } from '../../pages/warehouse/SNSE193/SNSE193.component';
import { SNSE192Component } from '../../pages/warehouse/SNSE192/SNSE192.component';
// import { SNSE190Component } from '../../pages/warehouse/SNSE190/SNSE190.component';
import { SNSE187Component } from '../../pages/warehouse/SNSE187/SNSE187.component';
import { SNSE186Component } from '../../pages/warehouse/SNSE186/SNSE186.component';
// import { SNSE185Component } from '../../pages/warehouse/SNSE185/SNSE185.component';
import { SNSE184Component } from '../../pages/warehouse/SNSE184/SNSE184.component';
// import { SNSE183Component } from '../../pages/warehouse/SNSE183/SNSE183.component';
import { MaterialImportModule } from '../shared/material.module';
import { SNSQ088_001Component } from 'src/app/pages/warehouse/SNSQ088_001/SNSQ088_001.component';
import { SNPE013Component } from 'src/app/pages/warehouse/SNPE013/SNPE013.component';
import { SNPE023Component } from 'src/app/pages/warehouse/SNPE023/SNPE023.component';
import { SNPR029_MComponent } from 'src/app/pages/warehouse/SNPR029_M/SNPR029_M.component';
import { SNPE034Component } from 'src/app/pages/warehouse/snpe034/snpe034.component';
import { SNPE036Component } from 'src/app/pages/warehouse/snpe036/snpe036.component';
import { SNM025PComponent } from 'src/app/pages/warehouse/SNM025P/SNM025P.component';
import { SNM026PComponent } from 'src/app/pages/warehouse/SNM026P/SNM026P.component';
import { RoleResolver } from 'src/app/core/role-resolver.service';
import { SNM033Component } from 'src/app/pages/warehouse/SNM033/SNM033.component';
import { SNSD162Component } from 'src/app/pages/warehouse/SNSD162/SNSD162.component';
import { SNM007PComponent } from 'src/app/pages/warehouse/SNM007P/SNM007P.component';
import { SNM016PComponent } from 'src/app/pages/warehouse/SNM016P/SNM016P.component';
import { SNM141Component } from 'src/app/pages/warehouse/SNM141/SNM141.component';
import { SNM142Component } from 'src/app/pages/warehouse/SNM142/SNM142.component';
import { SNPE015_PComponent } from '../../pages/warehouse/SNPE015_P/SNPE015_P.component';
import { SNPE015_RComponent } from '../../pages/warehouse/SNPE015_R/SNPE015_R.component';
import { SNPE015_SComponent } from '../../pages/warehouse/SNPE015_S/SNPE015_S.component';
import { SNPE015_WComponent } from '../../pages/warehouse/SNPE015_W/SNPE015_W.component';

import { SNPE046_PComponent } from '../../pages/warehouse/SNPE046_P/SNPE046_P.component';
import { SNPE046_RComponent } from '../../pages/warehouse/SNPE046_R/SNPE046_R.component';
import { SNPE046_SComponent } from '../../pages/warehouse/SNPE046_S/SNPE046_S.component';
// import { SNPE046_WComponent } from '../../pages/warehouse/SNPE046_W/SNPE046_W.component';

import { SNPE047Component } from 'src/app/pages/warehouse/SNPE047/SNPE047.component';
// import { SNPE047PComponent } from '../../pages/warehouse/SNPE047_P/SNPE047_P.component';
// import { SNPE047IComponent } from '../../pages/warehouse/SNPE047_I/SNPE047_I.component';
// import { SNPE047CComponent } from '../../pages/warehouse/SNPE047_C/SNPE047_C.component';

import { SNWR001Component } from '../../pages/warehouse/SNWR001/SNWR001.component';
import { SNWR002Component } from '../../pages/warehouse/SNWR002/SNWR002.component';
import { SNWR003Component } from '../../pages/warehouse/SNWR003/SNWR003.component';
import { SNWR004Component } from '../../pages/warehouse/SNWR004/SNWR004.component';
import { SNWR005Component } from '../../pages/warehouse/SNWR005/SNWR005.component';
import { SNWR006Component } from '../../pages/warehouse/SNWR006/SNWR006.component';
import { SNWR007Component } from '../../pages/warehouse/SNWR007/SNWR007.component';
import { SNWR007MComponent } from '../../pages/warehouse/SNWR007_M/SNWR007_M.component';
// import { SNWR008Component } from '../../pages/warehouse/SNWR008/SNWR008.component';
import { SNWR009Component } from '../../pages/warehouse/SNWR009/SNWR009.component';
import { SNWR010Component } from '../../pages/warehouse/SNWR010/SNWR010.component';
import { SNWR011Component } from 'src/app/pages/warehouse/SNWR011/SNWR011.component';
import { SNWR012Component } from 'src/app/pages/warehouse/SNWR012/SNWR012.component';
import { SNWR013Component } from 'src/app/pages/warehouse/SNWR013/SNWR013.component';
import { SNWR014Component } from 'src/app/pages/warehouse/SNWR014/SNWR014.component';
import { SNWR015Component } from 'src/app/pages/warehouse/SNWR015/SNWR015.component';
import { SNWR016Component } from 'src/app/pages/warehouse/SNWR016/SNWR016.component';
import { SNWR017Component } from 'src/app/pages/warehouse/SNWR017/SNWR017.component';
import { SNWR018Component } from 'src/app/pages/warehouse/SNWR018/SNWR018.component';
import { SNWR005ListComponent } from 'src/app/pages/warehouse/SNWR005/SNWR005-list/SNWR005-list.component';
import { SNWR019_AComponent } from 'src/app/pages/warehouse/SNWR019_A/SNWR019_A.component';
import { SNWR019Component } from 'src/app/pages/warehouse/SNWR019/SNWR019.component';
import { SNWR021Component } from '../../pages/warehouse/SNWR021/SNWR021.component';
import { SNWR022Component } from '../../pages/warehouse/SNWR022/SNWR022.component';
import { SNWR023Component } from '../../pages/warehouse/SNWR023/SNWR023.component';
import { SNWR024Component } from '../../pages/warehouse/SNWR024/SNWR024.component';
import { SNWR026Component } from '../../pages/warehouse/SNWR026/SNWR026.component';
import { SNWR027Component } from '../../pages/warehouse/SNWR027/SNWR027.component';
import { SNWR028Component } from '../../pages/warehouse/SNWR028/SNWR028.component';
import { SNWR030Component } from '../../pages/warehouse/SNWR030/SNWR030.component';
import { SNWR024_UPCComponent } from '../../pages/warehouse/SNWR024_UPC/SNWR024_UPC.component';
import { SNWR024_BKKComponent } from '../../pages/warehouse/SNWR024_BKK/SNWR024_BKK.component';
import { SNWR010_BKKComponent } from 'src/app/pages/warehouse/SNWR010/SNWR010_BKK.component';
import { SNWR010_BKK_TMPComponent } from 'src/app/pages/warehouse/SNWR010/SNWR010_BKK_TMP.component';
import { SNWR015_ROComponent } from 'src/app/pages/warehouse/SNWR015_RO/SNWR015_RO.component';
import { SNWR010_PDIComponent } from 'src/app/pages/warehouse/SNWR010/SNWR010_PDI.component';
import { SNWR019_OComponent } from 'src/app/pages/warehouse/SNWR019_O/SNWR019_O.component';
//import { SNWR029Component } from 'src/app/pages/warehouse/SNWR029/SNWR029.component';
import { SNSE032_WComponent } from 'src/app/pages/warehouse/SNSE032_W/SNSE032_W.component';
import { SNSE053_WComponent } from 'src/app/pages/warehouse/SNSE053_W/SNSE053_W.component';
import { SNSE033_WComponent } from 'src/app/pages/warehouse/SNSE033_W/SNSE033_W.component';
import { SNSE026_WComponent } from 'src/app/pages/warehouse/SNSE026_W/SNSE026_W.component';
import { SNSE034_WComponent } from 'src/app/pages/warehouse/SNSE034_W/SNSE034_W.component';
import { SNSE043_WComponent } from 'src/app/pages/warehouse/SNSE043_W/SNSE043_W.component';
import { SNJF003_WComponent } from 'src/app/pages/warehouse/SNJF003_W/SNJF003_W.component';
import { SNWR031Component } from 'src/app/pages/warehouse/SNWR031/SNWR031.component';
import { SNWR033Component } from 'src/app/pages/warehouse/SNWR033/SNWR033.component';
import { SNWR032Component } from 'src/app/pages/warehouse/SNWR032/SNWR032.component';
import { SNWR036Component } from 'src/app/pages/warehouse/SNWR036/SNWR036.component';

@NgModule({
  declarations: [

    WareHouseComponent,
    // SNM001PComponent,
    // SNM001P_WComponent,
    // SNPP999EComponent,
    SNPP999ZComponent,
    SNPR029Component,
    SNPR037Component,
    SNSE054D_ZComponent,
    SNSE054D_ZBComponent,
    SNSE052Component,
    SNSE157Component,
    SNSE181Component,
    SNSE182Component,
    // SNM111PComponent,
    // SNSE196Component,
    SNPP105Component,
    SNM102PComponent,
    SNM108PComponent,
    SNM109PComponent,
    SNM110PComponent,
    SNPE015Component,
    SNSE064_M2Component,
    SNSQ090Component,
    // SNSQ090_HDComponent,
    SNSR040Component,
    SNSR041Component,
    WEEKLYREPComponent,
    SNSE202Component,
    // SNSJ006_MComponent,
    // SNSJ007_MComponent,
    SNM002PComponent,
    SNSE195Component,
    SNSE194Component,
    SNSE193Component,
    SNSE192Component,
    // SNSE190Component,

    SNSE186Component,
    SNSE187Component,
   

    // SNSE185Component,
    SNSE184Component,
    // SNSE183Component,
    SNSQ088_001Component,
    SNPE013Component,
    SNPE023Component,
    SNPR029_MComponent,
    SNM025PComponent,
    SNM026PComponent,
    SNPE034Component,
    SNPE036Component,
    SNM033Component,
    SNSD162Component,
    SNM007PComponent,
    SNM016PComponent,
    SNM141Component,
    SNM142Component,
    SNPE015_PComponent,
    SNPE015_RComponent,
    SNPE015_SComponent,
    SNPE015_WComponent,
    SNPE046_PComponent,
    SNPE046_RComponent,
    SNPE046_SComponent,
    // SNPE046_WComponent,
    SNPE047Component,

    // SNPE047PComponent,
    // SNPE047IComponent,
    // SNPE047CComponent,
    SNWR001Component,
    SNWR002Component,
    SNWR003Component,
    SNWR004Component,
    SNWR005Component,
    SNWR005ListComponent,
    SNWR006Component,
    SNWR007Component,
    SNWR007MComponent,
    // SNWR008Component,
    SNWR009Component,
    SNWR010Component,
    SNWR010_BKKComponent,
    SNWR010_BKK_TMPComponent,
    SNWR010_PDIComponent,
    SNWR011Component,
    SNWR012Component,
    SNWR013Component,
    SNWR014Component,
    SNWR015Component,
    SNWR015_ROComponent,
    SNWR016Component,
    SNWR017Component,
    SNWR018Component,
    SNWR019Component,
    SNWR019_AComponent,
    SNWR019_OComponent,
    SNWR021Component,
    SNWR022Component,
    SNWR023Component,
    SNWR024Component,
    SNWR026Component,
    SNWR027Component,
    SNWR028Component,
    SNWR030Component,
    SNWR024_UPCComponent,
    SNWR024_BKKComponent,
    //SNWR029Component,
    SNSE032_WComponent,
    SNSE053_WComponent,
    SNSE033_WComponent,
    SNSE026_WComponent,
    SNSE034_WComponent,
    SNSE043_WComponent,
    SNJF003_WComponent,
    SNWR031Component,
    SNWR033Component,
    SNWR032Component,
    SNWR036Component
  ],
  imports: [
    CommonModule,
    HttpClientModule,
    FormsModule,
    ReactiveFormsModule,
    SharedComponentModule,
    FormsModule,

    //Material imports
    MaterialImportModule,



    RouterModule.forChild([
      {
        path: '',
        component: WareHouseComponent,
        children: [
          {
            path: 'SNWR033',
            component: SNWR033Component,
            resolve: {
              role: RoleResolver
            }
          },
          // {
          //   path: 'SNM001P',
          //   component: SNM001PComponent,
          //   resolve: {
          //     role: RoleResolver
          //   },
          // },
          // {
          //   path: 'SNM001P_W',
          //   component: SNM001P_WComponent,
          //   resolve: {
          //     role: RoleResolver
          //   },
          // },
          // {
          //   path: 'SNPP999E',
          //   component: SNPP999EComponent,
          //   resolve: {
          //     role: RoleResolver
          //   },
          // },
          {
            path: 'SNSE033_W',
            component: SNSE033_WComponent,
            resolve: {
              role: RoleResolver
            }
          },
          {
            path: 'SNSE053_W',
            component: SNSE053_WComponent,
            resolve: {
              role: RoleResolver
            }
          },
          {
            path: 'SNSE032_W',
            component: SNSE032_WComponent,
            resolve: {
              role: RoleResolver
            }
          },
          //{
          //  path: 'SNWR029',
          //  component: SNWR029Component,
          //  resolve: {
          //    role: RoleResolver
          //  }
          // },
          {
            path: 'SNM016P',
            component: SNM016PComponent,
            resolve: {
              role: RoleResolver
            }
          },
          {
            path: 'SNM141',
            component: SNM141Component,
            resolve: {
              role: RoleResolver
            }
          },
          {
            path: 'SNM142',
            component: SNM142Component,
            resolve: {
              role: RoleResolver
            }
          },
          {
            path: 'SNM007P',
            component: SNM007PComponent,
            resolve: {
              role: RoleResolver
            }
          },
          {
            path: 'SNPP999Z',
            component: SNPP999ZComponent,
            resolve: {
              role: RoleResolver
            },
          },
          //{
          //  path: 'SNPR029',
          //  component: SNPR029Component,
          //  resolve: {
          //    role: RoleResolver
          //  },
          //},
          {
            path: 'SNPR037',
            component: SNPR037Component,
            resolve: {
              role: RoleResolver
            },
          },
          {
            path: 'SNSE054D_Z',
            component: SNSE054D_ZComponent,
            resolve: {
              role: RoleResolver
            },
          },
          {
            path: 'SNSE054D_ZB',
            component: SNSE054D_ZBComponent,
            resolve: {
              role: RoleResolver
            },
          },
          {
            path: 'SNSE052',
            component: SNSE052Component,
            resolve: {
              role: RoleResolver
            },
          },
          {
            path: 'SNSE157',
            component: SNSE157Component,
            resolve: {
              role: RoleResolver
            },
          },
          {
            path: 'SNSE181',
            component: SNSE181Component,
            resolve: {
              role: RoleResolver
            },
          },
          {
            path: 'SNSE182',
            component: SNSE182Component,
            resolve: {
              role: RoleResolver
            },
          },
          // {
          //   path: 'SNM111P',
          //   component: SNM111PComponent,
          //   resolve: {
          //     role: RoleResolver
          //   },
          // },
          // {
          //   path: 'SNSE196',
          //   component: SNSE196Component,
          //   resolve: {
          //     role: RoleResolver
          //   },
          // },
          {
            path: 'SNPP105',
            component: SNPP105Component,
            resolve: {
              role: RoleResolver
            },
          },
          {
            path: 'SNM102P',
            component: SNM102PComponent,
            resolve: {
              role: RoleResolver
            },
          },
          {
            path: 'SNM108P',
            component: SNM108PComponent,
            resolve: {
              role: RoleResolver
            },
          },
          {
            path: 'SNM109P',
            component: SNM109PComponent,
            resolve: {
              role: RoleResolver
            },
          },
          {
            path: 'SNM110P',
            component: SNM110PComponent,
            resolve: {
              role: RoleResolver
            },
          },
          {
            path: 'SNPE015',
            component: SNPE015Component,
            resolve: {
              role: RoleResolver
            },
          },
          {
            path: 'SNSE064_M2',
            component: SNSE064_M2Component,
            resolve: {
              role: RoleResolver
            },
          },
          {
            path: 'SNSQ090',
            component: SNSQ090Component,
            resolve: {
              role: RoleResolver
            },
          },
          // {
          //   path: 'SNSQ090_HD',
          //   component: SNSQ090_HDComponent,
          //   resolve: {
          //     role: RoleResolver
          //   },
          // },
          {
            path: 'SNSR040',
            component: SNSR040Component,
            resolve: {
              role: RoleResolver
            },
          },
          {
            path: 'SNSR041',
            component: SNSR041Component,
            resolve: {
              role: RoleResolver
            },
          },
          {
            path: 'WEEKLYREP',
            component: WEEKLYREPComponent,
            resolve: {
              role: RoleResolver
            },
          },
          {
            path: 'SNSE202',
            component: SNSE202Component,
            resolve: {
              role: RoleResolver
            },
          },
          // {
          //   path: 'SNSJ006_M',
          //   component: SNSJ006_MComponent,
          //   resolve: {
          //     role: RoleResolver
          //   },
          // },
          // {
          //   path: 'SNSJ007_M',
          //   component: SNSJ007_MComponent,
          //   resolve: {
          //     role: RoleResolver
          //   },
          // },
          {
            path: 'SNM002P',
            component: SNM002PComponent,
            resolve: {
              role: RoleResolver
            },
          },
          {
            path: 'SNSE195',
            component: SNSE195Component,
            resolve: {
              role: RoleResolver
            },
          },
          {
            path: 'SNSE194',
            component: SNSE194Component,
            resolve: {
              role: RoleResolver
            },
          },
          {
            path: 'SNSE193',
            component: SNSE193Component,
            resolve: {
              role: RoleResolver
            },
          },
          {
            path: 'SNSE192',
            component: SNSE192Component,
            resolve: {
              role: RoleResolver
            },
          },
          // {
          //   path: 'SNSE190',
          //   component: SNSE190Component,
          //   resolve: {
          //     role: RoleResolver
          //   },
          // },
          {
            path: 'SNWR001',
            component: SNWR001Component,
            resolve: {
              role: RoleResolver
            },
          },
          {
            path: 'SNWR002',
            component: SNWR002Component,
            resolve: {
              role: RoleResolver
            },
          },
          {
            path: 'SNWR003',
            component: SNWR003Component,
            resolve: {
              role: RoleResolver
            },
          },
          {
            path: 'SNWR004',
            component: SNWR004Component,
            resolve: {
              role: RoleResolver
            },
          },
          {
            path: 'SNWR005',
            component: SNWR005Component,
            resolve: {
              role: RoleResolver
            },
          },
          {
            path: 'SNWR006',
            component: SNWR006Component,
            resolve: {
              role: RoleResolver
            },
          },
          {
            path: 'SNWR007',
            component: SNWR007Component,
            resolve: {
              role: RoleResolver
            },
          },
          {
            path: 'SNWR007_M',
            component: SNWR007MComponent,
            resolve: {
              role: RoleResolver
            },
          },
          // {
          //   path: 'SNWR008',
          //   component: SNWR008Component,
          //   resolve: {
          //     role: RoleResolver
          //   },
          // },
          {
            path: 'SNWR009',
            component: SNWR009Component,
            resolve: {
              role: RoleResolver
            },
          },
          {
           path: 'SNWR010',
           component: SNWR010Component,
           resolve: {
             role: RoleResolver
           },
          },
          {
            path: 'SNWR021',
            component: SNWR021Component,
            resolve: {
              role: RoleResolver
            },
          },
          {
            path: 'SNWR022',
            component: SNWR022Component,
            resolve: {
              role: RoleResolver
            },
          },

          {
            path: 'SNWR023',
            component: SNWR023Component,
            resolve: {
              role: RoleResolver
            },
          },
          {
            path: 'SNWR024_UPC',
            component: SNWR024_UPCComponent,
            resolve: {
              role: RoleResolver
            },
          },
          {
            path: 'SNWR024_BKK',
            component: SNWR024_BKKComponent,
            resolve: {
              role: RoleResolver
            },
          },
          {
            path: 'SNSE187',
            component: SNSE187Component,
            resolve: {
              role: RoleResolver
            },
          },
          {
            path: 'SNSE186',
            component: SNSE186Component,
            resolve: {
              role: RoleResolver
            },
          },
          // {
          //   path: 'SNSE185',
          //   component: SNSE185Component,
          //   resolve: {
          //     role: RoleResolver
          //   },
          // },
          {
            path: 'SNSE184',
            component: SNSE184Component,
            resolve: {
              role: RoleResolver
            },
          },
          // {
          //   path: 'SNSE184',
          //   component: SNSE183Component,
          //   resolve: {
          //     role: RoleResolver
          //   },
          // },
          {
            path: 'SNSQ088',
            component: SNSQ088_001Component,
            resolve: {
              role: RoleResolver
            },
          },
          {
            path: 'SNPE013',
            component: SNPE013Component,
            resolve: {
              role: RoleResolver
            },
          },
          {
            path: 'SNPE023',
            component: SNPE023Component,
            resolve: {
              role: RoleResolver
            },
          },
          {
            path: 'SNPR029_M',
            component: SNPR029_MComponent,
            resolve: {
              role: RoleResolver
            },
          },
          {
            path: 'SNM025P',
            component: SNM025PComponent,
            resolve: {
              role: RoleResolver
            },
          },
          {
            path: 'SNM026P',
            component: SNM026PComponent,
            resolve: {
              role: RoleResolver
            },
          },
          {
            path: 'SNPE034',
            component: SNPE034Component,
            resolve: {
              role: RoleResolver
            },
          },
          {
            path: 'SNPE036',
            component: SNPE036Component,
            resolve: {
              role: RoleResolver
            },
          },
          {
            path: 'SNM033',
            component: SNM033Component,
            resolve: {
              role: RoleResolver
            }
          },
          {
            path: 'SNSD162',
            component: SNSD162Component,
            resolve: {
              role: RoleResolver
            }
          },
          {
            path: 'SNPE015_P',
            component: SNPE015_PComponent,
            resolve: {
              role: RoleResolver
            }
          },
          {
            path: 'SNPE015_R',
            component: SNPE015_RComponent,
            resolve: {
              role: RoleResolver
            }
          },
          {
            path: 'SNPE015_S',
            component: SNPE015_SComponent,
            resolve: {
              role: RoleResolver
            }
          },
          {
            path: 'SNPE015_W',
            component: SNPE015_WComponent,
            resolve: {
              role: RoleResolver
            }
          }, 
          {
            path: 'SNPE046_P',
            component: SNPE046_PComponent,
            resolve: {
              role: RoleResolver
            }
          },
          {
            path: 'SNPE046_R',
            component: SNPE046_RComponent,
            resolve: {
              role: RoleResolver
            }
          },
          {
            path: 'SNPE046_S',
            component: SNPE046_SComponent,
            resolve: {
              role: RoleResolver
            }
          },
          // {
          //   path: 'SNPE046_W',
          //   component: SNPE046_WComponent,
          //   resolve: {
          //     role: RoleResolver
          //   }
          // },
          {
            path: 'SNPE047',
            component: SNPE047Component,
            resolve: {
              role: RoleResolver
            }
          },
          // {
          //   path: 'SNPE047_P',
          //   component: SNPE047PComponent,
          //   resolve: {
          //     role: RoleResolver
          //   }
          // },
          // {
          //   path: 'SNPE047_I',
          //   component: SNPE047IComponent,
          //   resolve: {
          //     role: RoleResolver
          //   }
          // },
          // {
          //   path: 'SNPE047_C',
          //   component: SNPE047CComponent,
          //   resolve: {
          //     role: RoleResolver
          //   }
          // }
          {
            path: "SNWR011",
            component: SNWR011Component,
            resolve: {
              role: RoleResolver
            }
          },
          {
            path: "SNWR012",
            component: SNWR012Component,
            resolve: {
              role: RoleResolver
            }
          },
          {
            path: "SNWR013",
            component: SNWR013Component,
            resolve: {
              role: RoleResolver
            }
          },
          {
            path: "SNWR014",
            component: SNWR014Component,
            resolve: {
              role: RoleResolver
            }
          },
          {
            path: "SNWR015",
            component: SNWR015Component,
            resolve: {
              role: RoleResolver
            }
          },
          {
            path: "SNWR015_RO",
            component: SNWR015_ROComponent,
            resolve: {
              role: RoleResolver
            }
          },
          {
            path: "SNWR016",
            component: SNWR016Component,
            resolve: {
              role: RoleResolver
            }
          },
          {
            path: "SNWR017",
            component: SNWR017Component,
            resolve: {
              role: RoleResolver
            }
          },
          {
            path: "SNWR018",
            component: SNWR018Component,
            resolve: {
              role: RoleResolver
            }
          },
          {
            path: 'SNWR019',
            component: SNWR019Component,
            resolve: {
              role: RoleResolver
            }
          },
          {
            path: 'SNWR019_A',
            component: SNWR019_AComponent,
            resolve: {
              role: RoleResolver
            }
          },
          {
            path: 'SNWR019_O',
            component: SNWR019_OComponent,
            resolve: {
              role: RoleResolver
            }
          },
          {
            path: 'SNWR026',
            component: SNWR026Component,
            resolve: {
              role: RoleResolver
          }
          },
          {
            path: 'SNWR027',
            component: SNWR027Component,
            resolve: {
              role: RoleResolver
            }
          },
          {
            path: 'SNWR028',
            component: SNWR028Component,
            resolve: {
              role: RoleResolver
            }
          },
          {
            path: 'SNWR030',
            component: SNWR030Component,
            resolve: {
              role: RoleResolver
            }
          },
          {
            path: 'SNSE026_W',
            component: SNSE026_WComponent,
            resolve: {
             role: RoleResolver
            }
          },
          {
            path: 'SNSE034_W',
            component: SNSE034_WComponent,
            resolve: {
             role: RoleResolver
            }
          },
          {
            path: 'SNSE043_W',
            component: SNSE043_WComponent,
            resolve: {
             role: RoleResolver
            }
          },
          {
            path: 'SNJF003_W',
            component: SNJF003_WComponent,
            resolve: {
             role: RoleResolver
            }
          },
          {
            path: 'SNWR031',
            component: SNWR031Component,
            resolve: {
              role: RoleResolver
            }
          },
          {
            path: 'SNWR032',
            component: SNWR032Component,
            resolve: {
              role: RoleResolver
            }
          },
          {
            path: 'SNWR036',
            component: SNWR036Component,
            resolve: {
              role: RoleResolver
            }
          },
        ],
        canActivate: [AuthGuard]
      }
    ])
  ],
  exports: [],
  providers: [AuthGuard, RoleResolver],
})
export class WareHouseModule { }
