import { NgModule } from '@angular/core';
//import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { HttpClientModule } from '@angular/common/http';
import { ReactiveFormsModule, FormsModule } from '@angular/forms';
import { RouterModule } from '@angular/router';

import { SharedComponentModule } from '../shared/shared-component.module';
import { AuthGuard } from 'src/app/core/auth-guard.service';
import { SaleOrderComponent } from 'src/app/pages/saleorder/saleorder.component';

import { SNSE212Component } from 'src/app/pages/saleorder/SNSE212/SNSE212.component';
import { SNSE215Component } from 'src/app/pages/saleorder/SNSE215/SNSE215.component';
 import { SNSE010Component } from 'src/app/pages/saleorder/SNSE010/SNSE010.component';
 import { SNSE011Component } from 'src/app/pages/saleorder/SNSE011/SNSE011.component';
// import { SNSE012Component } from 'src/app/pages/saleorder/SNSE012/SNSE012.component';
// import { SNSE026Component } from 'src/app/pages/saleorder/SNSE026/SNSE026.component';
// import { SNSE024Component } from 'src/app/pages/saleorder/SNSE024/SNSE024.component';
 import { SNSE032Component } from 'src/app/pages/saleorder/SNSE032/SNSE032.component';
 import { SNSE015Component } from 'src/app/pages/saleorder/SNSE015/SNSE015.component';
// import { SNSE021Component } from 'src/app/pages/saleorder/SNSE021/SNSE021.component';
// import { SNSE025Component } from 'src/app/pages/saleorder/SNSE025/SNSE025.component';
 import { SNSE031Component } from 'src/app/pages/saleorder/SNSE031/SNSE031.component';
// import { SNSE033Component } from 'src/app/pages/saleorder/SNSE033/SNSE033.component';
 import { SNSE034Component } from 'src/app/pages/saleorder/SNSE034/SNSE034.component';
// import { SNSE037Component } from 'src/app/pages/saleorder/SNSE037/SNSE037.component';
 import { SNSE038Component } from 'src/app/pages/saleorder/SNSE038/SNSE038.component';
import { SNSE038_WComponent } from 'src/app/pages/saleorder/SNSE038_W/SNSE038_W.component';
// import { SNSE039Component } from 'src/app/pages/saleorder/SNSE039/SNSE039.component';
import { SNSE039PComponent } from 'src/app/pages/saleorder/SNSE039P/SNSE039P.compoent';
// import { SNSE040Component } from 'src/app/pages/saleorder/SNSE040/SNSE040.component';
// import { SNSE043Component } from 'src/app/pages/saleorder/SNSE043/SNSE043.component';
// import { SNSE044Component } from 'src/app/pages/saleorder/SNSE044/SNSE044.component';
// import { SNSE045Component } from 'src/app/pages/saleorder/SNSE045/SNSE045.component';
// import { SNSE052NComponent } from 'src/app/pages/saleorder/SNSE052N/SNSE052N.component';
 import { SNSE073Component } from 'src/app/pages/saleorder/SNSE073/SNSE073.component';
// import { SNSE102Component } from 'src/app/pages/saleorder/SNSE102/SNSE102.component';
 import { SNSE126_2_PComponent } from 'src/app/pages/saleorder/SNSE126_2_P/SNSE126_2_P.component';
 import { SNSJ003N2Component } from 'src/app/pages/saleorder/SNSJ003N2/SNSJ003N2.component';
import { SNSP005MComponent } from 'src/app/pages/saleorder/SNSP005_M/SNSP005_M.component';
 import { SNSE001NComponent } from 'src/app/pages/saleorder/SNSE001N/SNSE001N.component';
// import { SNSE004BRComponent } from 'src/app/pages/saleorder/SNSE004BR/SNSE004BR.component';
// import { SNSE004ISSUEComponent } from 'src/app/pages/saleorder/SNSE004ISSUE/SNSE004ISSUE.component';
// import { SNSE004MComponent } from 'src/app/pages/saleorder/SNSE004M/SNSE004M.component';
 import { SNSE005Component } from 'src/app/pages/saleorder/SNSE005/SNSE005.component';
 import { SNSE026MComponent } from 'src/app/pages/saleorder/SNSE026M/SNSE026M.component';
// import { SNSE026NComponent } from 'src/app/pages/saleorder/SNSE026N/SNSE026N.component';
 import { SNSE033NComponent } from 'src/app/pages/saleorder/SNSE033N/SNSE033N.component';
// import { SNSE042MComponent } from 'src/app/pages/saleorder/SNSE042M/SNSE042M.component';
 import { SNSE042NA4Component } from 'src/app/pages/saleorder/SNSE042NA4/SNSE042NA4.component';
 import { SNSE043NComponent } from 'src/app/pages/saleorder/SNSE043N/SNSE043N.component';
 import { SNSE044NComponent } from 'src/app/pages/saleorder/SNSE044N/SNSE044N.component';
import { SNSE052MComponent } from 'src/app/pages/saleorder/SNSE052M/SNSE052M.component';
// import { SNSQ008_001Component } from 'src/app/pages/saleorder/SNSQ008_001/SNSQ008_001.component';
 import { SNSQ023_001Component } from 'src/app/pages/saleorder/SNSQ023_001/SNSQ023_001.component';
// import { SNSQ024_001Component } from 'src/app/pages/saleorder/SNSQ024_001/SNSQ024_001.component';
 import { SNSQ025_001Component } from 'src/app/pages/saleorder/SNSQ025_001/SNSQ025_001.component';
import { SNSQ027_001Component } from 'src/app/pages/saleorder/SNSQ027_001/SNSQ027_001.component';
// import { SNSR003_N_001Component } from '../../pages/saleorder/SNSR003_N_001/SNSR003_N_001.component';
// import { SNSR010_001Component } from '../../pages/saleorder/SNSR010_001/SNSR010_001.component';
// import { SNSR017_N_001Component } from '../../pages/saleorder/SNSR017_N_001/SNSR017_N_001.component';
import { SNSQ048_001Component } from '../../pages/saleorder/SNSQ048_001/SNSQ048_001.component';
import { SNSQ009Component } from '../../pages/saleorder/SNSQ009/SNSQ009.component';
import { SNSQ010Component } from '../../pages/saleorder/SNSQ010/SNSQ010.component';
// import { SNSR011_N_001Component } from '../../pages/saleorder/SNSR011_N_001/SNSR011_N_001.component';
// import { SNSR034_N_001Component } from '../../pages/saleorder/SNSR034_N_001/SNSR034_N_001.component';
import { SNSQ026_001Component } from '../../pages/saleorder/SNSQ026_001/SNSQ026_001.component';
// import { SNSQ032_001Component } from '../../pages/saleorder/SNSQ032_001/SNSQ032_001.component';
// import { SNSQ041_001Component } from 'src/app/pages/saleorder/SNSQ041_001/SNSQ041_001.component';
 import { SNSQ043_001Component } from 'src/app/pages/saleorder/SNSQ043_001/SNSQ043_001.component';
 import { SNSQ045_001Component } from 'src/app/pages/saleorder/SNSQ045_001/SNSQ045_001.component';
 import { SNSQ046_001Component } from 'src/app/pages/saleorder/SNSQ046_001/SNSQ046_001.component';
// import { SNSQ068M_001Component } from 'src/app/pages/saleorder/SNSQ068M_001/SNSQ068M_001.component';
 import { SNSQ080_001Component } from 'src/app/pages/saleorder/SNSQ080_001/SNSQ080_001.component';
// import { SNSQ081_001Component } from 'src/app/pages/saleorder/SNSQ081_001/SNSQ081_001.component';
import { SNSQ005_001Component } from 'src/app/pages/saleorder/SNSQ005_001/SNSQ005_001.component';
import { SNSQ005_CComponent } from 'src/app/pages/saleorder/SNSQ005_C/SNSQ005_C.component';
// import { SNSQ030_001Component } from '../../pages/saleorder/SNSQ030_001/SNSQ030_001.component';
// import { SNSQ031_001Component } from '../../pages/saleorder/SNSQ031_001/SNSQ031_001.component';
import { SNSQ033Component } from '../../pages/saleorder/SNSQ033/SNSQ033.component';
// import { SNSQ038_001Component } from '../../pages/saleorder/SNSQ038_001/SNSQ038_001.component';
import { SNM032EComponent } from '../../pages/saleorder/SNM032E/SNM032E.component';
// import { SNSQ028_001Component } from '../../pages/saleorder/SNSQ028_001/SNSQ028_001.component';
// import { SNSQ022_001Component } from '../../pages/saleorder/SNSQ022_001/SNSQ022_001.component';
import { SNSE025_NComponent } from 'src/app/pages/saleorder/SNSE025_N/SNSE025_N.component';
import { MaterialImportModule } from '../shared/material.module';
// import { SNSQ040Component } from '../../pages/saleorder/SNSQ040/SNSQ040.component';
import { SNSQ005_OnOrderComponent } from '../../pages/saleorder/SNSQ005_001/Partail/SNSQ005_OnOrder.component';
import { SNSQ005_GPartComponent } from '../../pages/saleorder/SNSQ005_001/Partail/SNSQ005_GPart.component';
import { RoleResolver } from 'src/app/core/role-resolver.service';
import { SNSE206Component } from 'src/app/pages/saleorder/SNSE206/SNSE206.component';
import { SNSQ005_WComponent } from 'src/app/pages/saleorder/SNSQ005_W/SNSQ005_W.component';
import { SNM124Component } from 'src/app/pages/saleorder/SNM124/SNM124.component';
import { SNSQ074_MRComponent } from 'src/app/pages/saleorder/SNSQ074_MR/SNSQ074_MR.component';
import { SNM125PComponent } from 'src/app/pages/saleorder/SNM125P/SNM125P.component';
import { SNSE040_PComponent } from 'src/app/pages/saleorder/SNSE040 _P/SNSE040_P.component';
import { SNSQ005_C_OnOrderComponent } from '../../pages/saleorder/SNSQ005_C/Partail/SNSQ005_C_OnOrder.component';
import { SNSQ005_C_GPartComponent } from '../../pages/saleorder/SNSQ005_C/Partail/SNSQ005_C_GPart.component';
import { SNM145PComponent } from 'src/app/pages/saleorder/SNM145P/SNM145P.component';


@NgModule({
  declarations: [

    SaleOrderComponent,
     SNSE010Component,
     SNSE011Component,
    // SNSE012Component,
    // SNSE026NComponent,
    // SNSE024Component,
     SNSE032Component,
    SNSE015Component,
    // SNSE021Component,
    // SNSE025Component,
     SNSE031Component,
    // SNSE033Component,
    SNSE034Component,
    // SNSE037Component,
        SNSE038Component,
    SNSE038_WComponent,
    // SNSE039Component,
    SNSE039PComponent,
    SNM032EComponent,
    // SNSE040Component,
    // SNSE043Component,
    // SNSE044Component,
    // SNSE045Component,
    // SNSE052NComponent,
     SNSE073Component,
    // SNSE102Component,
     SNSE126_2_PComponent,
     SNSJ003N2Component,
    SNSP005MComponent,
     SNSE001NComponent,
    // SNSE004BRComponent,
    // SNSE004ISSUEComponent,
    // SNSE004MComponent,
    SNSE005Component,
    SNSE215Component,
    SNSE212Component,
     SNSE026MComponent,
    SNSE033NComponent,
    // SNSE042MComponent,
   SNSE042NA4Component,
     SNSE043NComponent,
     SNSE044NComponent,
    SNSE052MComponent,
    // SNSQ008_001Component,
     SNSQ023_001Component,
    // SNSQ024_001Component,
     SNSQ025_001Component,
    SNSQ027_001Component,
    // SNSR003_N_001Component,
    // SNSR010_001Component,
    // SNSR017_N_001Component,
     SNSQ048_001Component,
    // SNSQ008_001Component,
    SNSQ009Component,
    SNSQ010Component,
    // SNSR011_N_001Component,
    // SNSR034_N_001Component,
    SNSQ026_001Component,
    // SNSQ032_001Component,
    // SNSQ041_001Component,
     SNSQ043_001Component,
     SNSQ045_001Component,
     SNSQ046_001Component,
    // SNSQ068M_001Component,
    SNSQ080_001Component,
    // SNSQ081_001Component,
    SNSQ005_001Component,
    SNSQ005_CComponent,
    SNSQ005_OnOrderComponent,
    SNSQ005_GPartComponent,

    SNSQ005_C_OnOrderComponent,
    SNSQ005_C_GPartComponent,

    // SNSQ030_001Component,
    // SNSQ031_001Component,
    SNSQ033Component,
    // SNSQ038_001Component,
    // SNSQ028_001Component,
    // SNSQ022_001Component,
    SNSE025_NComponent,
    // SNSE026Component,
    // SNSQ040Component,
    SNM124Component,
    SNSE206Component,
    SNSQ005_WComponent,
    SNSQ074_MRComponent,
    SNSE040_PComponent,

    SNM125PComponent,
    SNM145PComponent
    
  ],
  imports: [
    CommonModule,
    HttpClientModule,
    FormsModule,
    ReactiveFormsModule,
    SharedComponentModule,
    FormsModule,

    //Material imports
    MaterialImportModule,


    RouterModule.forChild([
      {
        path: '',
        component: SaleOrderComponent,
        children: [
          {
            path: 'SNSE010',
            component: SNSE010Component,
            resolve: {
              role: RoleResolver
            },
          },
          {
            path: 'SNSE011',
            component: SNSE011Component,
            resolve: {
              role: RoleResolver
            },
          },
          // {
          //   path: 'SNSE012',
          //   component: SNSE012Component,
          //   resolve: {
          //     role: RoleResolver
          //   },
          // },
          // {
          //   path: 'SNSE026N',
          //   component: SNSE026NComponent,
          //   resolve: {
          //     role: RoleResolver
          //   },
          // },
          // {
          //   path: 'SNSE024',
          //   component: SNSE024Component,
          //   resolve: {
          //     role: RoleResolver
          //   },
          // },
          {
            path: 'SNSE032',
            component: SNSE032Component,
            resolve: {
              role: RoleResolver
            },
          },
          {
            path: 'SNSE015',
            component: SNSE015Component,
            resolve: {
              role: RoleResolver
            },
          },
          // {
          //   path: 'SNSE021',
          //   component: SNSE021Component,
          //   resolve: {
          //     role: RoleResolver
          //   },
          // },
          // {
          //   path: 'SNSE025',
          //   component: SNSE025Component,
          //   resolve: {
          //     role: RoleResolver
          //   },
          // },
          {
            path: 'SNSE031',
            component: SNSE031Component,
            resolve: {
              role: RoleResolver
            },
          },
          // {
          //   path: 'SNSE033',
          //   component: SNSE033Component,
          //   resolve: {
          //     role: RoleResolver
          //   },
          // },
          {
            path: 'SNSE034',
            component: SNSE034Component,
            resolve: {
              role: RoleResolver
            },
          },
          // {
          //   path: 'SNSE037',
          //   component: SNSE037Component,
          //   resolve: {
          //     role: RoleResolver
          //   },
          // },

          {
            path: 'SNSE038',
            component: SNSE038Component,
            resolve: {
              role: RoleResolver
            },
          },

          {
            path: 'SNSE038_W',
            component: SNSE038_WComponent,
            resolve: {
              role: RoleResolver
            },
          },
          // {
          //   path: 'SNSE039',
          //   component: SNSE039Component,
          //   resolve: {
          //     role: RoleResolver
          //   },
          // },
          {
            path: 'SNSE039P',
            component: SNSE039PComponent,
            resolve: {
              role: RoleResolver
            },
          },
          // {
          //   path: 'SNSE040',
          //   component: SNSE040Component,
          //   resolve: {
          //     role: RoleResolver
          //   },
          // },
          // {
          //   path: 'SNSE042M',
          //   component: SNSE042MComponent,
          //   resolve: {
          //     role: RoleResolver
          //   },
          // },
          // {
          //   path: 'SNSE043',
          //   component: SNSE043Component,
          //   resolve: {
          //     role: RoleResolver
          //   },
          // },
          // {
          //   path: 'SNSE044',
          //   component: SNSE044Component,
          //   resolve: {
          //     role: RoleResolver
          //   },
          // },
          // {
          //   path: 'SNSE045',
          //   component: SNSE045Component,
          //   resolve: {
          //     role: RoleResolver
          //   },
          // },
          // {
          //   path: 'SNSE052N',
          //   component: SNSE052NComponent,
          //   resolve: {
          //     role: RoleResolver
          //   },
          // },
          {
            path: 'SNSE073',
            component: SNSE073Component,
            resolve: {
              role: RoleResolver
            },
          },
          // {
          //   path: 'SNSE102',
          //   component: SNSE102Component,
          //   resolve: {
          //     role: RoleResolver
          //   },
          // },
           {
             path: 'SNSE126_2_P',
             component: SNSE126_2_PComponent,
             resolve: {
               role: RoleResolver
             },
           },
           {
             path: 'SNSJ003N2',
             component: SNSJ003N2Component,
             resolve: {
               role: RoleResolver
             },
           },
          {
            path: 'SNSP005_M',
            component: SNSP005MComponent,
            resolve: {
              role: RoleResolver
            },
          },
          {
            path: 'SNSE001N',
            component: SNSE001NComponent,
            resolve: {
              role: RoleResolver
            },
          },
          // {
          //   path: 'SNSE004BR',
          //   component: SNSE004BRComponent,
          //   resolve: {
          //     role: RoleResolver
          //   },
          // },
          // {
          //   path: 'SNSE004ISSUE',
          //   component: SNSE004ISSUEComponent,
          //   resolve: {
          //     role: RoleResolver
          //   },
          // },
          // {
          //   path: 'SNSE041M',
          //   component: SNSE041MComponent,
          //   resolve: {
          //     role: RoleResolver
          //   },
          // },
          // {
          //   path: 'SNSE004M',
          //   component: SNSE004MComponent,
          //   resolve: {
          //     role: RoleResolver
          //   },
          // },
          {
            path: 'SNSE005',
            component: SNSE005Component,
            resolve: {
              role: RoleResolver
            },
          },
          {
            path: 'SNSE215',
            component: SNSE215Component,
            resolve: {
              role: RoleResolver
            },
          },
          {
            path: 'SNSE212',
            component: SNSE212Component,
            resolve: {
              role: RoleResolver
            },
          },
          {
            path: 'SNSE026M',
            component: SNSE026MComponent,
            resolve: {
              role: RoleResolver
            },
          },
          {
            path: 'SNSE033N',
            component: SNSE033NComponent,
            resolve: {
              role: RoleResolver
            },
          },
          {
            path: 'SNSE042NA4',
            component: SNSE042NA4Component,
            resolve: {
              role: RoleResolver
            },
          },
          {
            path: 'SNSE043_N',
            component: SNSE043NComponent,
            resolve: {
              role: RoleResolver
            },
          },
          {
            path: 'SNSE044_N',
            component: SNSE044NComponent,
            resolve: {
              role: RoleResolver
            },
          },
          {
            path: 'SNSE052_M',
            component: SNSE052MComponent,
            resolve: {
              role: RoleResolver
            },
          },
          // {
          //   path: 'SNSQ008_001',
          //   component: SNSQ008_001Component,
          //   resolve: {
          //     role: RoleResolver
          //   },
          // },
          {
            path: 'SNSQ023',
            component: SNSQ023_001Component,
            resolve: {
              role: RoleResolver
            },
          },
          // {
          //   path: 'SNSQ024_001',
          //   component: SNSQ024_001Component,
          //   resolve: {
          //     role: RoleResolver
          //   },
          // },
          {
            path: 'SNSQ025_001',
            component: SNSQ025_001Component,
            resolve: {
              role: RoleResolver
            },
          },
          {
            path: 'SNSQ027',
            component: SNSQ027_001Component,
            resolve: {
              role: RoleResolver
            },
          },
          // {
          //   path: 'SNSR003_N_001',
          //   component: SNSR003_N_001Component,
          //   resolve: {
          //     role: RoleResolver
          //   },
          // },
          // {
          //   path: 'SNSR010_001',
          //   component: SNSR010_001Component,
          //   resolve: {
          //     role: RoleResolver
          //   },
          // },
          // {
          //   path: 'SNSR017_N_001',
          //   component: SNSR017_N_001Component,
          //   resolve: {
          //     role: RoleResolver
          //   },
          // },
          {
            path: 'SNSQ048_001',
            component: SNSQ048_001Component,
            resolve: {
              role: RoleResolver
            },
          },
          // {
          //   path: 'SNSQ008_001',
          //   component: SNSQ008_001Component,
          //   resolve: {
          //     role: RoleResolver
          //   },
          // },
          {
            path: 'SNSQ009',
            component: SNSQ009Component,
            resolve: {
              role: RoleResolver
            },
          },
          {
            path: 'SNSQ010',
            component: SNSQ010Component,
            resolve: {
              role: RoleResolver
            },
          },
          // {
          //   path: 'SNSR011_N_001',
          //   component: SNSR011_N_001Component,
          //   resolve: {
          //     role: RoleResolver
          //   },
          // },
          // {
          //   path: 'SNSR034_N_001',
          //   component: SNSR034_N_001Component,
          //   resolve: {
          //     role: RoleResolver
          //   },
          // },
          {
            path: 'SNSQ026_001',
            component: SNSQ026_001Component,
            resolve: {
              role: RoleResolver
            },
          },
          {
            path: 'SNSQ026_001',
            component: SNSQ026_001Component,
            resolve: {
              role: RoleResolver
            },
          },
          // {
          //   path: 'SNSQ032_001',
          //   component: SNSQ032_001Component,
          //   resolve: {
          //     role: RoleResolver
          //   },
          // },
          // {
          //   path: 'SNSQ041_001',
          //   component: SNSQ041_001Component,
          //   resolve: {
          //     role: RoleResolver
          //   },
          // },
          {
            path: 'SNSQ043',
            component: SNSQ043_001Component,
            resolve: {
              role: RoleResolver
            },
          },
          {
            path: 'SNSQ045',
            component: SNSQ045_001Component,
            resolve: {
              role: RoleResolver
            },
          },
          {
            path: 'SNSQ046_001',
            component: SNSQ046_001Component,
            resolve: {
              role: RoleResolver
            },
          },
          // {
          //   path: 'SNSQ068_M_001',
          //   component: SNSQ068M_001Component,
          //   resolve: {
          //     role: RoleResolver
          //   },
          // },
          {
            path: 'SNSQ080_001',
            component: SNSQ080_001Component,
            resolve: {
              role: RoleResolver
            },
          },
          // {
          //   path: 'SNSQ081_001',
          //   component: SNSQ081_001Component,
          //   resolve: {
          //     role: RoleResolver
          //   },
          // },
          {
            path: 'SNSQ005_M',
            component: SNSQ005_001Component,
            resolve: {
              role: RoleResolver
            },
          },
          {
            path: 'SNSQ005_C',
            component: SNSQ005_CComponent,
            resolve: {
              role: RoleResolver
            },
          },
          // {
          //   path: 'SNSQ030_001',
          //   component: SNSQ030_001Component,
          //   resolve: {
          //     role: RoleResolver
          //   },
          // },
          // {
          //   path: 'SNSQ031_001',
          //   component: SNSQ031_001Component,
          //   resolve: {
          //     role: RoleResolver
          //   },
          // },
          {
            path: 'SNSQ033',
            component: SNSQ033Component,
            resolve: {
              role: RoleResolver
            },
          },
          // {
          //   path: 'SNSQ038_001',
          //   component: SNSQ038_001Component,
          //   resolve: {
          //     role: RoleResolver
          //   },
          // },
          {
            path: 'SNM032E',
            component: SNM032EComponent,
            resolve: {
              role: RoleResolver
            },
          },
          // {
          //   path: 'SNSQ040',
          //   component: SNSQ040Component,
          //   resolve: {
          //     role: RoleResolver
          //   },
          // },
          // {
          //   path: 'SNSQ028_001',
          //   component: SNSQ028_001Component,
          //   resolve: {
          //     role: RoleResolver
          //   },
          // },
          // {
          //   path: 'SNSQ022_001',
          //   component: SNSQ022_001Component,
          //   resolve: {
          //     role: RoleResolver
          //   },
          // },
          {
            path: 'SNSE025_N',
            component: SNSE025_NComponent,
            resolve: {
              role: RoleResolver
            },
          },
          {
            path: 'SNSE206',
            component: SNSE206Component,
            resolve: {
              role: RoleResolver
            },
          },
          {
            path: 'SNM124',
            component: SNM124Component,
            resolve: {
              role: RoleResolver
            },
          },
          {
            path: 'SNSQ005_W',
            component: SNSQ005_WComponent,
            resolve: {
              role: RoleResolver
            },
          },
          {
            path: 'SNSQ074_MR',
            component: SNSQ074_MRComponent,
            resolve: {
              role: RoleResolver
            },
          },
          {
            path: 'SNM125P',
            component: SNM125PComponent,
            resolve: {
              role: RoleResolver
            },
          },
          {
            path: 'SNM145P',
            component: SNM145PComponent,
            resolve: {
              role: RoleResolver
            },
          },
          {
            path: 'SNSE040_P',
            component: SNSE040_PComponent,
            resolve: {
              role: RoleResolver
            }
          }
        ],
        canActivate: [AuthGuard]
      }
    ])
  ],
  exports: [SNSQ080_001Component, SNSQ005_001Component, SNM032EComponent, SNM124Component],
  providers: [AuthGuard, RoleResolver],
})
export class SaleOrderModule { }
