import { Component, OnInit, Input, Output, EventEmitter, TemplateRef, ContentChild, ViewChild, ViewContainerRef } from '@angular/core';
import { HttpService } from 'src/app/core/http.service';
import { Router } from '@angular/router';
import { Globals } from 'src/app/core/global';
import { ModalService } from '../../../core/modal.service';
import * as moment from 'moment';

@Component({
  selector: 'SNEN057',
  templateUrl: './SNEN057.component.html',
  styleUrls: ['./SNEN057.component.css']
})


export class SNEN057Component implements OnInit {


  constructor(
    private http: HttpService,
    private router: Router,
    private modal: ModalService,
    private viewref: ViewContainerRef,
    private global: Globals
  ) { }

  public CustomerList: any = [];
  public param: any = {}
  public paramSearch: any = {};
  public showList: Boolean;
  public showList01: Boolean;
  public Datatable: any = [];
  public Datatable1: any = [];


  public tableData: any[] = [
    { ITEM: "1", PNO: "", },
    { ITEM: "2", PNO: "", },
    { ITEM: "3", PNO: "", },
    { ITEM: "4", PNO: "", },
  ];

  ngOnInit() {
    this.showList = true;
    this.showList01 = false;
  }

  public Search() {
    
    this.showList = false;
    this.showList01 = true;
    this.Datatable = [];
    this.http.post("wPMS", "SNEN057_GetData", this.paramSearch)
      .subscribe(res => {
        console.log(res);
        this.Datatable = res.Table;
        this.Datatable1 = res.Table1;
      }, (err) => {
        console.log(err, 'err')
        this.modal.warning("Found an error, please contract support team", this.viewref);
      });
  }

  

  public Back() {
    this.showList01 = false;
    this.showList = true;

  }
}
